import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type CheckboxProps = Omit<React.ComponentPropsWithoutRef<'input'>, 'children'> & PropsWithMetadata<{
    /** Allows providing a custom class name */
    className?: string;
    /** Text that will be displayed next to the actual checkbox */
    label?: string;
    /** Grayed-out piece of text that will be displayed below the label */
    subLabel?: string;
}>;
declare const Checkbox: React.ForwardRefExoticComponent<Omit<Pick<React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key" | keyof React.InputHTMLAttributes<HTMLInputElement>>, "children"> & {
    /** Allows providing a custom class name */
    className?: string | undefined;
    /** Text that will be displayed next to the actual checkbox */
    label?: string | undefined;
    /** Grayed-out piece of text that will be displayed below the label */
    subLabel?: string | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & React.RefAttributes<HTMLInputElement>>;
export default Checkbox;
